/**
 * Arduino Sketch für SmartHome yourself - Arduino Lehrgang
 * 
 * Tag 17: Mehrere Buttons an einem Pin betreiben
 * 
 * In diesem Sketch lesen wir den Wert des Analogen Pins aus und geben den ausgelesenen Wert auf dem Seriellen Monitor aus.
 * Das Sketch dient zur Veranschaulichung der Arbeitsweise des Elektronischen Aufbaus.
 * Zusätzlich können mit Hilfe der Seriellen Ausgabe die zu konfigurierenden Werte der Buttons für das Haupt-Sketch bestimmt werden. 
 * 
 * By Daniel Scheidler - Dezember 2019
 */
 
 void setup() {
  Serial.begin(9600);
  delay(1000);
  pinMode(A3, INPUT);
}

void loop() {
  int x = analogRead(A3);
  if(x<=1024 && x>0){
    Serial.println(x);
  }
  delay(250);
}
