/**
 * Arduino Sketch für SmartHome yourself - Arduino Lehrgang
 * 
 * Tag 17: Mehrere Buttons an einem Pin betreiben
 * 
 * In diesem Sketch lesen wir den Wert des Analogen Pins aus und geben den ausgelesenen Wert auf dem Seriellen Monitor aus.
 * Das Sketch dient zur Veranschaulichung der Arbeitsweise des Elektronischen Aufbaus.
 * Zusätzlich können mit Hilfe der Seriellen Ausgabe die zu konfigurierenden Werte der Buttons für das Haupt-Sketch bestimmt werden. 
 * 
 * By Daniel Scheidler - Dezember 2019
 */
 
 void setup() {
  Serial.begin(9600);                // Serielle Kommunikation starten
  delay(1000);                       // 1 Sekunde warten
  pinMode(A0, INPUT);                // A0 auf Eingang setzen. 
}

void loop() {
  int x = analogRead(A0);            // A0 auslesen. 
  if(x<=1024 && x>0){                // Prüfen ob A0-Wert zwischen 0 und 1024 liegt. (muss größer 0 sein)
    Serial.println(x);               // Wenn ja, dann Wert ausgeben.
  }
  delay(250);
}
